local constants = require "scripts.constants"

local execSourceType = GetExecSourceType()	-- 0 = button, other: TBD
if execSourceType ~= 0 then
	ShowMessage("Unhandled source type!")
	return
end
local btnId = GetExecSourceId()
if btnId ~= constants.BtnPttId then
	ShowMessage("Button ID mismatch for PTT!")
	return
end

local down = GetButtonDown(btnId)
if down == 0 then
	SetButtonDown(btnId, 1)

	if GetButtonDown(constants.BtnTarget1Id) == 1 then
		local status, callUid = Call(constants.Target1)
		if status == 0 then
			print(string.format("Assigning call %d to btn 1\n", callUid))
			SetVariable(constants.Target1CallUidVarName, callUid);
		else
			print(string.format("Invalid call UID for btn 1\n"));
		end
	end

	if GetButtonDown(constants.BtnTarget2Id) == 1 then
		local status, callUid = Call(constants.Target2)
		if status == 0 then
			print(string.format("Assigning call %d to btn 2\n", callUid))
			SetVariable(constants.Target2CallUidVarName, callUid);
		else
			print(string.format("Invalid call UID for btn 2\n"));
		end
	end

	if GetButtonDown(constants.BtnTarget3Id) == 1 then
		local status, callUid = Call(constants.Target3)
		if status == 0 then
			print(string.format("Assigning call %d to btn 3\n", callUid))
			SetVariable(constants.Target3CallUidVarName, callUid);
		else
			print(string.format("Invalid call UID for btn 3\n"));
		end
	end
	
	if GetButtonDown(constants.BtnTarget4Id) == 1 then
		local status, callUid = Call(constants.Target4)
		if status == 0 then
			print(string.format("Assigning call %d to btn 4\n", callUid))
			SetVariable(constants.Target4CallUidVarName, callUid);
		else
			print(string.format("Invalid call UID for btn 4\n"));
		end
	end	
else
	SetButtonDown(btnId, 0)
	HangupAll()
	return
end

