-- update time display
local constants = require "scripts.constants"

local timeVal = os.date("*t")
local timeStr = string.format("%02d:%02d:%02d", timeVal.hour, timeVal.min, timeVal.sec)
local monthNames =
{
  [1] = "January",
  [2] = "February",
  [3] = "March",
  [4] = "April",
  [5] = "May",
  [6] = "June",
  [7] = "July",
  [8] = "August",
  [9] = "September",
  [10] = "October",
  [11] = "November",
  [12] = "December",
}

local dateStr = string.format("%s %d, %04d ", monthNames[timeVal.month], timeVal.day, timeVal.year)

SetButtonCaption(constants.BtnDisplayTime, timeStr)
SetButtonCaption(constants.BtnDisplayDate, dateStr)