--- Various application constants
-- @module constants

local constants = {}

constants.BtnPttId = 0
constants.BtnGongId = 1
constants.BtnAutoOffId = 2
constants.BtnAllId = 3
constants.BtnAudioSourceMicrophoneId = 20
constants.BtnAudioSourceRadio1Id = 21
constants.BtnAudioSourceRadio3Id = 22
constants.BtnAudioSourceWaveFile = 23

constants.BtnDisplayTime = 60
constants.BtnDisplayDate = 61

constants.GongDefaultVarName = "GongDefault"

constants.CommonIp = "192.168.0.12"

constants.BtnTarget1Id = 10	-- TARGET #1
constants.Target1 = "sip:" .. constants.CommonIp .. ":5000"
constants.Target1CallUidVarName = "TARGET1_CALL_UID"
constants.Target1Blf = "sip:1@192.168.0.12"	-- note: must be also configured as BLF button
constants.Target1BlfVarName = "TARGET1_BLF"

constants.BtnTarget2Id = 11	-- TARGET #2
constants.Target2 = "sip:" .. constants.CommonIp .. ":5001"
constants.Target2CallUidVarName = "TARGET2_CALL_UID"
constants.Target2Blf = "sip:1@192.168.1.48:6200"	-- note: must be also configured as BLF button
constants.Target2BlfVarName = "TARGET2_BLF"

constants.BtnTarget3Id = 12 -- TARGET #3
constants.Target3 = "sip:" .. constants.CommonIp .. ":5002"
constants.Target3CallUidVarName = "TARGET3_CALL_UID"
constants.Target3Blf = "sip:1@192.168.0.52"	-- note: must be also configured as BLF button
constants.Target3BlfVarName = "TARGET3_BLF"

constants.BtnTarget4Id = 13 -- TARGET #4
constants.Target4 = "sip:" .. "192.168.0.14" .. ":5060"
constants.Target4CallUidVarName = "TARGET4_CALL_UID"
constants.Target4Blf = "sip:1@192.168.0.52"	-- note: must be also configured as BLF button
constants.Target4BlfVarName = "TARGET4_BLF"


constants.DefaultAudioSrcModule = "winwave2"
constants.DefaultAudioSrcDevice = ""


return constants